Package org.eclipse.m2m.atl.emftvm.util

# Class OCLOperations.ResolveList

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection<Object>
org.eclipse.m2m.atl.emftvm.util.LazyList<Object>
org.eclipse.m2m.atl.emftvm.util.OCLOperations.ResolveList

All Implemented Interfaces:
  `Iterable<Object>`, `Collection<Object>`, `List<Object>`, `SequencedCollection<Object>`, `org.eclipse.emf.common.util.EList<Object>`

Direct Known Subclasses:
  `OCLOperations.UniqueResolveList`

Enclosing class:
  `OCLOperations`

public static class OCLOperations.ResolveList extends LazyList<Object>
`LazyList` that resolves default trace links.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`OCLOperations.ResolveList.ResolveIterator`
`Iterator` that resolves default trace links.

## Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyList

`LazyList.AppendList<E>, LazyList.CollectList<E>, LazyList.InsertAtList<E>, LazyList.IntegerRangeList, LazyList.LongRangeList, LazyList.NonCachingList<E>, LazyList.PrependList<E>, LazyList.ReverseList<E>, LazyList.SubList<E>, LazyList.UnionList<E>, LazyList.UnionListIterator`

## Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`LazyCollection.AppendIterator, LazyCollection.CachingIterator, LazyCollection.CachingSetIterator, LazyCollection.CollectIterator<T>, LazyCollection.ExcludingIterator, LazyCollection.FilterIterator, LazyCollection.FlattenIterator, LazyCollection.FlattenSetIterator, LazyCollection.IntegerRangeListIterator, LazyCollection.IntersectionIterator, LazyCollection.IteratorToListIterator, LazyCollection.LongRangeListIterator, LazyCollection.ReadOnlyIterator<E>, LazyCollection.ReadOnlyListIterator<E>, LazyCollection.RejectIterator, LazyCollection.ReverseIterator, LazyCollection.ReverseListIterator, LazyCollection.SelectIterator, LazyCollection.SubListIterator, LazyCollection.SubListListIterator, LazyCollection.SubtractionIterator, LazyCollection.UnionIterator, LazyCollection.UnionSetIterator, LazyCollection.WrappedIterator, LazyCollection.WrappedListIterator`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final TraceLinkSet`
`tls`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`cache, dataSource, occurrences`

## Constructor Summary

Constructors
Constructor
Description
`ResolveList(Collection<Object> dataSource, StackFrame frame)`
Creates a new `OCLOperations.ResolveList` around `dataSource`.

## Method Summary

Modifier and Type
Method
Description
`Iterator<Object>`
`iterator()`
`int`
`size()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyList

`add, addAll, append, asSequence, asString, at, collect, createCache, equals, excluding, excludingAll, first, flatten, get, hashCode, including, including, includingAll, includingAll, includingRange, indexOf, indexOf2, insertAt, last, lastIndexOf, lastIndexOf2, listIterator, listIterator, move, move, prepend, reject, remove, reverse, select, set, sortedBy, subList, subSequence, union, union`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`add, addAll, any, appendElements, asBag, asOrderedSet, asSet, clear, contains, containsAll, containsAny, count, excludes, excludesAll, exists, exists2, forAll, forAll2, includes, includesAll, isEmpty, isUnique, iterate, mappedBy, mappedBySingle, max, min, notEmpty, one, product, remove, removeAll, retainAll, sum, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, addAll, addFirst, addLast, clear, contains, containsAll, getFirst, getLast, isEmpty, remove, removeAll, removeFirst, removeLast, replaceAll, retainAll, reversed, sort, spliterator, toArray, toArray`

## Field Details

### tls

protected final TraceLinkSet tls

## Constructor Details

### ResolveList

public ResolveList(Collection<Object> dataSource, StackFrame frame)
Creates a new `OCLOperations.ResolveList` around `dataSource`.

Parameters:
  `dataSource` - he underlying collection
  `frame` - the current `StackFrame`

## Method Details

### iterator

public Iterator<Object> iterator()

Specified by:
  `iterator` in interface `Collection<Object>`
Specified by:
  `iterator` in interface `Iterable<Object>`
Specified by:
  `iterator` in interface `List<Object>`
Overrides:
  `iterator` in class `LazyCollection<Object>`

### size

public int size()

Specified by:
  `size` in interface `Collection<Object>`
Specified by:
  `size` in interface `List<Object>`
Overrides:
  `size` in class `LazyCollection<Object>`